Bug 171933 - slow network performance when using bridged interfaces
slow network performance when using bridged interfaces
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Miller
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-27 17:50 EDT by Josh Burke
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-19 22:24:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Burke 2005-10-27 17:50:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.6) Gecko/20050317 Firefox/1.0.2

Description of problem:
Network performance is extremely poor when using bridged network interfaces.  When not using brctl, the interface gives ~800kbps.  When using brctl to bridge two interfaces, the speed is ~1.0kbps.

Reverting to kernel-smp-2.6.12-1.1456_FC4 returns the speed to normal.

Version-Release number of selected component (if applicable):
kernel-smp-2.6.13-1.1532_FC4

How reproducible:
Always

Steps to Reproduce:
1.  Use an interface directly, without it bring bridged.
2.  Experience good network performance
3.  Use an interface that has been bridged.
4.  Experience poor network performance.

optionally;
1.  Revert to 2.6.12 kernel.
2.  Experience good network performance.
  

Additional info:

The two interfaces have IP addresses when not bridged.  They do not have IP addresses when they are bridged.  (As expected.)

No unusual output in dmesg.  

Traffic is not slowed that originates on a bridge interfaces and goes out a bridge interface, only traffic from the host that the bridge is on is slowed.

Tcpdump indicates increasing pauses returning packets. (From bridge host to the outside.  Bridge host is a web server, though even SSH connections are slow.)
Comment 1 Dave Jones 2005-10-27 20:16:24 EDT
This is probably best brought up with the upstream networking developers at
netdev@vger.kernel.org  The bridging maintainers are mor likely to read that
list than this bugzilla.
Comment 2 Josh Burke 2005-10-31 11:22:35 EST
Thanks to Stephen Hemminger on the bridge team.  He matched this up with a bug
in the 2.6.13 e100 "CPU Cycle Saver" code.  Disabling the e100 driver fixed the
problem on 2.6.13.

The bug is noted as fixed in 2.6.14.
Comment 3 Dave Jones 2005-11-10 14:13:44 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 4 Alex Kiernan 2005-11-23 11:25:42 EST
Its definitely better - the bridge host now seems to have full speed networking
performance when talking to non-directly connected hosts. But hosts connected
directly through bridged interfaces seem to be much worse talking to the bridge
host (but not when they talk through it - performance in that instance seems fine).
Comment 5 Josh Burke 2005-11-23 18:49:23 EST
Was able to install 2.6.14-1.1637.  Still having issues similar to Alex Kiernan.
 Issues seem to be resolved when you ifdown one of the physical bridged
interfaces.  (eth1 in my case, which is that e100 card).  If you ifup the
interface again, it does not cause any system slowdowns.

Comment 6 Josh Burke 2005-12-03 15:03:43 EST
2.6.14-1.1644_FC4smp does not seem to change the performance issues.

Still is resolved by ifdown-ing the e100 interface, rmmoding e100, and ifuping
the e100 interface.

Thanks!
Comment 7 Josh Burke 2005-12-19 12:08:10 EST
This appears to be fixed in kernel-smp-2.6.14-1.1653.  

It was still not working right in 2.6.14-1.1644.

Thanks!

Note You need to log in before you can comment on or make changes to this bug.